Skip to main content

Colormaps

Endpoints used to manage and create colormaps for workspaces and organizations


List colormaps

Colormap API

Version: 1.0

Get a list of all colormaps for a specified workspace and organization.

Parameters

org_iduuid
Required
workspace_iduuid
Required

Returns

200

Successful Response

An ordered list of RGB colors, containing between 1 and 16384 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

created_atdate-time
created_byuuid
iduuid

String array mapping arbitrary strings to colors

modified_atdate-time
modified_byuuid
namestring
schema"continuous" | "category" | "discrete"
self_linkuri
>= 1 char

An ordered list of RGB colors, containing between 1 and 1024 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

created_atdate-time
created_byuuid

Boolean array indicating whether to include the endpoint in the bucket or not

List of colormap bucket endpoints, must be one fewer than the number of colors

iduuid
modified_atdate-time
modified_byuuid
namestring
schema"continuous" | "category" | "discrete"
self_linkuri
>= 1 char

List of ordered attribute values for gradient curve

An ordered list of RGB colors, containing between 2 and 1024 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

created_atdate-time
created_byuuid

List of gradient positions for gradient curve, floats between 0 and 1

iduuid
modified_atdate-time
modified_byuuid
namestring
schema"continuous" | "category" | "discrete"
self_linkuri
>= 1 char

Endpoint

GET
/colormap/orgs/{org_id}/workspaces/{workspace_id}/colormaps

Request

curl -X GET 'https://{service_host}/colormap/orgs/{org_id}/workspaces/{workspace_id}/colormaps' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"colormaps": [
{
"colors": [
[
0
]
],
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"map": [
"string"
],
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"schema": "continuous",
"self_link": "https://example.com"
},
{
"colors": [
[
0
]
],
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"end_inclusive": [
true
],
"end_points": [
0
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"schema": "continuous",
"self_link": "https://example.com"
},
{
"attribute_controls": [
0
],
"colors": [
[
0
]
],
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"gradient_controls": [
0
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"schema": "continuous",
"self_link": "https://example.com"
}
]
}

Create colormap

Colormap API

Version: 1.0

Create a new colormap for a specified workspace and organization. You may choose from either a continuous, discrete, or category colormap.

Parameters

org_iduuid
Required
workspace_iduuid
Required

attribute_controlsnumber[]
Required

An ordered list of RGB colors, containing between 2 and 1024 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

dtypestring
Default: "continuous"
gradient_controlsnumber[]
Required
namestring
Required

An ordered list of RGB colors, containing between 1 and 1024 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

dtypestring
Default: "discrete"
end_inclusiveboolean[]
Required
end_pointsnumber[]
Required
namestring
Required

An ordered list of RGB colors, containing between 1 and 16384 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

dtypestring
Default: "category"
mapstring[]
Required
namestring
Required

{
"attribute_controls": [
0
],
"colors": [
[
0
]
],
"dtype": "continuous",
"gradient_controls": [
0
],
"name": "string"
}

Returns

201

Successful Response

List of ordered attribute values for gradient curve

An ordered list of RGB colors, containing between 2 and 1024 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

created_atdate-time
created_byuuid

List of gradient positions for gradient curve, floats between 0 and 1

iduuid
modified_atdate-time
modified_byuuid
namestring
schema"continuous" | "category" | "discrete"
self_linkuri
>= 1 char

An ordered list of RGB colors, containing between 1 and 16384 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

created_atdate-time
created_byuuid
iduuid

String array mapping arbitrary strings to colors

modified_atdate-time
modified_byuuid
namestring
schema"continuous" | "category" | "discrete"
self_linkuri
>= 1 char

An ordered list of RGB colors, containing between 1 and 1024 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

created_atdate-time
created_byuuid

Boolean array indicating whether to include the endpoint in the bucket or not

List of colormap bucket endpoints, must be one fewer than the number of colors

iduuid
modified_atdate-time
modified_byuuid
namestring
schema"continuous" | "category" | "discrete"
self_linkuri
>= 1 char

Endpoint

POST
/colormap/orgs/{org_id}/workspaces/{workspace_id}/colormaps

Request

curl -X POST 'https://{service_host}/colormap/orgs/{org_id}/workspaces/{workspace_id}/colormaps' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"attribute_controls": [
0
],
"colors": [
[
0
]
],
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"gradient_controls": [
0
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"schema": "continuous",
"self_link": "https://example.com"
}

Get colormap by ID

Colormap API

Version: 1.0

Get a colormap by its ID, for a specified workspace and organization.

Parameters

org_iduuid
Required
workspace_iduuid
Required
colormap_iduuid
Required

Returns

200

Successful Response

List of ordered attribute values for gradient curve

An ordered list of RGB colors, containing between 2 and 1024 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

created_atdate-time
created_byuuid

List of gradient positions for gradient curve, floats between 0 and 1

iduuid
modified_atdate-time
modified_byuuid
namestring
schema"continuous" | "category" | "discrete"
self_linkuri
>= 1 char

An ordered list of RGB colors, containing between 1 and 16384 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

created_atdate-time
created_byuuid
iduuid

String array mapping arbitrary strings to colors

modified_atdate-time
modified_byuuid
namestring
schema"continuous" | "category" | "discrete"
self_linkuri
>= 1 char

An ordered list of RGB colors, containing between 1 and 1024 colors. Each color is represented by three integer values (for Red, Green, and Blue) ranging from 0 to 255.

created_atdate-time
created_byuuid

Boolean array indicating whether to include the endpoint in the bucket or not

List of colormap bucket endpoints, must be one fewer than the number of colors

iduuid
modified_atdate-time
modified_byuuid
namestring
schema"continuous" | "category" | "discrete"
self_linkuri
>= 1 char

Endpoint

GET
/colormap/orgs/{org_id}/workspaces/{workspace_id}/colormaps/{colormap_id}

Request

curl -X GET 'https://{service_host}/colormap/orgs/{org_id}/workspaces/{workspace_id}/colormaps/{colormap_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"attribute_controls": [
0
],
"colors": [
[
0
]
],
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"gradient_controls": [
0
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"schema": "continuous",
"self_link": "https://example.com"
}

What is the reason for your feedback?